.form-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.8rem;

    margin-bottom: 3.2rem;
}

.form-heading {
    font-size: 5.2rem;
    text-align: center;
    color: var(--bg-primary);
}

.form-subheading {
    width: min-content;

    font-size: 1.6rem;
    font-weight: 300;
    letter-spacing: 0.2rem;
    text-transform: uppercase;
    
    background-color: var(--bg-primary);
    color: var(--text-white);
    border-radius: 5px;

    padding: 0.4rem 0.8rem;
}

.form-content {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.6rem;
}

.form-content.inactive {
    display: none;
}

.form-group {
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
}

.form-group__horizontal {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 0.8rem;
}

.form-group input,
.form-group select {
    font-size: inherit;
    background-color: var(--input-bg);

    border: none;
    border-bottom: 2px solid #500000;
    border-radius: 5px 5px 0 0;

    padding: 0.8rem 0.4rem;
}

.form-group input.error,
.form-group select.error {
    border-bottom: 2px solid red;
}

.form-group input:focus {
    outline-color: transparent;
}

.button__form,
.button__form__outline {
    display: block;
    border: none;
    width: 100%;

    background-color: var(--bg-primary);
    color: var(--text-white);
    padding: 1.2rem 0.8rem;
    border-radius: 6px;

    font-weight: 600;
    font-size: 1.6rem;

    transition: all 150ms ease;
}

.button__form:hover,
.button__form__outline:hover {
    background-color: var(--text-accent);
    color: var(--text-white-secondary);
}

.button__form__outline {
    background-color: transparent;
    color: var(--bg-primary);
    border: 2px solid var(--bg-primary);
}

.button__form__outline:hover {
    color: var(--text-white-secondary);
}

/* Forms common */

.section__login,
.section__register {
    display: grid;
    grid-template-rows: min-content 1fr;

    background: var(--bg-secondary) 
                url("../assets/images/Bg.png") 
                no-repeat 
                right;

    background-size: contain;

    padding: 3.2rem 4.8rem;
    height: 100vh;
}

.form-error {
    color: var(--bg-primary);
}

.error-display {
    color: red;
}

.error-display.inactive {
    display: none;
}

/* Login Form */

.main-container {
    display: flex;
    align-items: center;
    margin-left: 4.8rem;
}

.login-container {
    max-width: 70%;
    min-width: max-content;

    background-color: #fff;
    border-radius: 10px;
    padding: 2.4rem 3.2rem;
    font-size: 1.6rem;

    flex: 1;
}

.login-container form {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.6rem;
}

.login-container .button__form {
    margin-top: 0.6rem;
}

/* Register Form */

.section__register {
    grid-template-columns: 1fr;
    align-items: center;
}

.register-container {
    font-size: 1.6rem;
    background-color: #fff;
    border-radius: 10px;
    padding: 2.4rem 3.2rem;
    height: min-content;

    width: 60%;
    min-width: max-content;
    justify-self: center;
}

.steps-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12.8rem;

    position: relative;
}

.steps-container::before {
    content: "";

    position: absolute;
    top: 50%;
    left: 0;

    width: 100%;
    height: 2px;
    background-color: black;
}

.steps-container .step {
    width: 3.2rem;
    height: 3.2rem;

    display: flex;
    align-items: center;
    justify-content: center;

    background-color: #fff;
    border: 2px solid var(--text-primary);
    border-radius: 5px;

    z-index: 1;
    position: relative;
    color: var(--text-primary);
    font-weight: 600;

    transition: all 200ms ease-in;
}

.steps-container .step.done {
    background-color: var(--text-primary);
    color: var(--text-white);
}

.steps-container .step.active {
    background-color: var(--bg-accent);
}

.steps-container .step::before {
    content: attr(data-description);
    color: var(--text-secondary);

    position: absolute;
    top: 150%;
    left: 50%;

    transform: translateX(-50%);
}

.form-content > .form-group {
    gap: 1.6rem;
}

.register-container .form-controls {
    display: flex;
    gap: 1.6rem;
    margin-top: 2.4rem;
}

.register-container .form-header {
    margin-bottom: 8rem;
}

.code {
    width: 3.2rem;
    text-align: center;
}

.summary {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    width: max(200px, 60%);
    margin: 0 auto;

    h3 {
        color: var(--bg-primary);
        margin-bottom: 1.6rem;
    }

    p {
        color: var(--text-secondary);
        text-align: center;
        margin-bottom: 1.2rem;
    }
}